SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   libsoup Vendors:   Gnome Development Team
libsoup SoupServer Directory Traversal Flaw Lets Remote Users Obtain Files
SecurityTracker Alert ID:  1025864
SecurityTracker URL:  http://securitytracker.com/id/1025864
CVE Reference:   CVE-2011-2524   (Links to External Site)
Date:  Jul 29 2011
Impact:   Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): prior to 2.34.3
Description:   A vulnerability was reported in libsoup SoupServer. A remote user can view files on the target system.

The SoupServer does not properly validate user-supplied input. A remote user can supply a specially crafted request to view files on target system that are located outside of the document directory.

Impact:   A remote user can view files on the target system.
Solution:   The vendor has issued a fix (2.34.3).

The vendor's advisory is available at:

http://git.gnome.org/browse/libsoup/tree/NEWS

Vendor URL:  live.gnome.org/LibSoup (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jul 29 2011 (Red Hat Issues Fix) libsoup SoupServer Directory Traversal Flaw Lets Remote Users Obtain Files
Red Hat has issued a fix for Red Hat Enterprise Linux 6.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC